Bug 115771 - (IDE FLOPPY)System hangs when trying to mount zip drive
(IDE FLOPPY)System hangs when trying to mount zip drive
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-02-15 18:30 EST by Eric N. Ebert
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 23:29:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric N. Ebert 2004-02-15 18:30:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
When trying to mount the zip drive from a shell with command 
mount /mnt/zip the system hangs. When booting with a disk in the zip drive the following output is given:

ide-floppy driver 0.99.ide
hdb: 244766kB,489532 blocks, 512 sector size
hdb: 244736kB,239/64/32 CHS, 4096kBps, 512 sector size, 2941rpm
hdb: The disk reports a capacity of 250640384 bytes, but the drive only handles 250609664 bytes
hdb:

System hangs at this point in the boot process.

 

Version-Release number of selected component (if applicable):
2.6.1-1.65smp

How reproducible:
Always

Steps to Reproduce:
1.Insert Zip disk in Zip drive
2.Boot System	
3.
    

Actual Results:  System hangs

Expected Results:  Filesystem should be properly mounted

Additional info:
Comment 1 Warren Togami 2004-03-05 23:55:15 EST
Please try the latest kernels from FC development and see if this is
fixed.  We are currently at kernel-2.6.3-2.1.238.
Comment 2 Eric N. Ebert 2004-03-06 19:58:21 EST
I tested this against kernel 2.6.3-2.1.240smp and I have the same
problem as above. 
Comment 3 Warren Togami 2004-03-07 03:35:46 EST
Please test the same non-SMP kernel of the same version and report back.
Comment 4 Eric N. Ebert 2004-03-07 09:33:22 EST
Tested the non-SMP kernel and got the same problem.
Comment 5 Warren Togami 2004-04-17 06:41:14 EDT
Please test 2.6.5-1.326 which will probably be the test3 kernel.  If
that does not work please search LKML if other people are having
similar problems.

Has this worked on any previous version of Fedora Core or Red Hat Linux?
Comment 6 Alan Cox 2004-05-03 16:54:09 EDT
My ide-floppy device (CLICK rather than ZIP) is working with test3.
Comment 7 Jef Spaleta 2004-05-05 22:10:34 EDT
my zip100 ide device is working in test3  2.6.5-350 kernel which i
just updated to.  
Booted with zip disk in place and without
from commandline and from gnome desktop



Comment 8 Jeremy Katz 2004-05-06 23:29:13 EDT
Closing as fixed in test3.  Please reopen if its still broken for you.

Note You need to log in before you can comment on or make changes to this bug.